package com.qmth.distributed.print.business.bean.flow.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 流程消息dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/6/14
 */
public class ToDoTaskDto implements Serializable {

    @ApiModelProperty(value = "流程信息")
    StandardFlowData flowData;

    @ApiModelProperty(value = "待办消息")
    List<StandardFlowWorkMsg> todoTaskList;

    @ApiModelProperty(value = "待办详情消息")
    HandleMessageDto handleMessageDto;

    public ToDoTaskDto() {

    }

    public ToDoTaskDto(StandardFlowData flowData, List<StandardFlowWorkMsg> todoTaskList) {
        this.flowData = flowData;
        this.todoTaskList = todoTaskList;
    }

    public ToDoTaskDto(StandardFlowData flowData, List<StandardFlowWorkMsg> todoTaskList, HandleMessageDto handleMessageDto) {
        this.flowData = flowData;
        this.todoTaskList = todoTaskList;
        this.handleMessageDto = handleMessageDto;
    }

    public HandleMessageDto getHandleMessageDto() {
        return handleMessageDto;
    }

    public void setHandleMessageDto(HandleMessageDto handleMessageDto) {
        this.handleMessageDto = handleMessageDto;
    }

    public StandardFlowData getFlowData() {
        return flowData;
    }

    public void setFlowData(StandardFlowData flowData) {
        this.flowData = flowData;
    }

    public List<StandardFlowWorkMsg> getTodoTaskList() {
        return todoTaskList;
    }

    public void setTodoTaskList(List<StandardFlowWorkMsg> todoTaskList) {
        this.todoTaskList = todoTaskList;
    }
}
